package com.pcloud.book.applet.dao;

import java.util.List;
import java.util.Map;

import com.pcloud.book.applet.dto.AppletConfigPointDTO;
import com.pcloud.book.applet.entity.AppletThirdResources;
import com.pcloud.book.applet.entity.AppletThirdResourcesRelation;
import com.pcloud.common.core.dao.BaseDao;

public interface AppletThirdResourcesDao extends BaseDao<AppletThirdResources> {

    AppletThirdResources exitThirResources(String resourcesNumber);

    List<AppletThirdResources> getThirdResourcesByNewsId(Long newsId);

    Map<Long, AppletConfigPointDTO> getConfigPoint(List<Long> thirdResourcesId);

    List<AppletThirdResources> getAppletsByIds(List<Long> ids);

    AppletThirdResources getByResourcesId(Long id);
}
